services:

  next-app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: nextjs_dev
    ports:
      - "3000:3000"
    volumes:
      # Sincroniza el código fuente
      - ./app:/app
      # Evita que el node_modules del contenedor se sobrescriba con el local
      #- ./app/node_modules
      #- ./app/.next
    tty: true          # Mantiene el terminal virtual abierto
    stdin_open: true   # Mantiene la entrada estándar abierta (modo interactivo)
    environment:
      #- NODE_ENV=production
      - NODE_ENV=development
      - WATCHPACK_POLLING=true # Ayuda con el hot-reload en algunos entornos de Docker
    # Optimización para Mac M1/M2/M3
    platform: linux/amd64